// JavaScript Document

function formulario(f)
{
	var form_usuario;
	var form_email;
	var form_nombre;
	var form_ap;
	var form_am;
	var form_puesto;
	var form_departamento;
	var index_seleccionado;
	
	var caracteres=/^([a-z ñáéíóú]{2,60})$/i;
	var correo=/[\w-\.]{3,}@([\w-]{2,}\.)*([\w-]{2,}\.)[\w-]{2,4}/;
	var user=/^[\w]+$/;
	
	
	if((f.usuario.value=='')||(f.email.value=='')||(f.email2.value=='')||(f.nombre.value=='')||(f.apellidop.value=='')||(f.apellidom.value==''))
	{
		alert('Por favor llene todos los campos obligatorios...');
		return false;
	}
	
	if(user.test(f.usuario.value))
		if(correo.test(f.email.value))
			if(f.email.value==f.email2.value)
				if(caracteres.test(f.nombre.value))
					if(caracteres.test(f.apellidop.value))
						if(caracteres.test(f.apellidom.value))
						{//Todos los campos llenados correctamente. Se almacenan los textos en las variables
							return true;
						}
						else
						{
							alert('Caracteres no permitidos en el apellido materno. Escriba un apellido válido');
							return false;
						}
					else
					{
						alert('Caracteres no permitidos en el apellido paterno. Escriba un apellido válido');
						return false;
					}
				else
				{
					alert('Caracteres nos permitidos en el nombre. Escriba un nombre válido');
					return false;
				}
			else
			{
				alert('Los correos no coinciden');
				return false;
			}
		else
		{
			alert('Por favor ingrese un email válido');
			return false;
		}
	else
	{
		
		alert('El usuario debe tener solo caracteres alfanuméricos y no debe contener espacios');
		return false;
		
	}
	
	
	
	
	
	
	
}